Subject: Re: [PATCH v1 3/3] liveupdate: suppress TCP RST during post-kexec restore window

From: Jakub Kicinski <[email-masked]>
Date: Fri, 30 Jan 2026 17:05:33 -0800

On Fri, 30 Jan 2026 22:51:19 +0800 Li Chen wrote:
> During a kexec-based live update, userspace may restore established TCP
> connections after the new kernel has booted (e.g. via CRIU). Any packet
> arriving for a not-yet-restored socket will hit the no-socket path and
> trigger a TCP RST, causing the peer to immediately drop the connection.

Can you not add a filter to simply drop those packets until workload is
running again? It'd actually be less racy than this hac^w patch ...